petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCSetApplicationContext

Sets the optional user-defined context for the linear solver.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSetApplicationContext(PC pc,void *usrP)

Logically Collective on PC

### Input Parameters

| pc | - the PC context
| usrP | - optional user context

### See Also

PCGetApplicationContext()

### Level

intermediate

### Location

src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages